Subject: Re: FVWM: Re:Notification: incoming/900

From: Dominik Vogt <[email-masked]>
Date: Thu, 4 Jul 2002 14:35:36 +0200

On Thu, Jul 04, 2002 at 01:57:36PM +0200, Petr Nejedly wrote:
> I've filled the bug 900
> 
> I've made some progress in tracking its roots but I can't
> attach notes to the bug (How can I?) so I'm posting it here:
> 
> The problem is in communication between fvwm and module,
> where fvwm tries to send WindowConfig with title_height=26,
> but the module receives title_height=26*2^16
> 
> There is short field title_thickness in the struct FvwmWindow
> but is it accessed as (int *)&field from
> make_new_vpacket(module_interface.c:912,913,1140).
> This may work on x86 but can't work on opposite endiannness machine.

You're right.  The CONFIGARGSNE table is broken.  It should list
the data length for title_thickness and boundary_width.  I'll
commit a fix.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]